View Issue Details

IDProjectCategoryView StatusLast Update
0004841unrealircdpublic2017-02-10 14:27
ReporterFwdInTimeAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.0.9 
Target VersionFixed in Version4.0.11 
Summary0004841: Channel mode +Z not set at channel creation
DescriptionWhen channel mode +z is present in configuration directive set::modes-on-join and a channel is created by a SSL user, channel mode +z is set, but +Z is not.
TagsNo tags attached.
3rd party modules

Activities

FwdInTime

2017-01-14 20:13

reporter   ~0019597

Example with '+ntzCG' in set::modes-on-join:

[20:11:14] * Now talking on #TEST
[20:11:14] * irc.test.org sets modes [#TEST +ntzGC]

(No +Z is set.)

Manually unsetting and setting the +z again proves however that the conditions to have +Z set were met.

[20:12:45] * FwdInTime sets modes [#TEST -z]
[20:12:47] * FwdInTime sets modes [#TEST +z]
[20:12:47] * irc.test.org sets modes [#TEST +Z]

syzop

2017-01-22 10:22

administrator   ~0019602

Thanks for reporting the 3 bugs last week. Much appreciated :)

syzop

2017-02-10 14:26

administrator   ~0019647

Last edited: 2017-02-10 14:27

View 2 revisions

Took more effort than I thought, but it's done. Thanks for the report!

[unreal40 5fcff0d] Make +z in set::modes-on-join work (and auto +Z setting). Reported by FwdInTime (0004841).

Note that +z in set::modes-on-join now blocks non-secure users from creating channels, which is what you would expect. (... unless you are ircop, then it behaves just as with the other /JOIN #existingchans, and the channel is not put +Z)

Issue History

Date Modified Username Field Change
2017-01-14 19:59 FwdInTime New Issue
2017-01-14 20:13 FwdInTime Note Added: 0019597
2017-01-22 10:21 syzop Status new => acknowledged
2017-01-22 10:22 syzop Note Added: 0019602
2017-02-10 14:26 syzop Assigned To => syzop
2017-02-10 14:26 syzop Status acknowledged => resolved
2017-02-10 14:26 syzop Resolution open => fixed
2017-02-10 14:26 syzop Fixed in Version => 4.0.11
2017-02-10 14:26 syzop Note Added: 0019647
2017-02-10 14:27 syzop Note Edited: 0019647 View Revisions